## xterm 344.1

=== freebsd/Makefile ===
# $FreeBSD$

# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
PORTVERSION=	344
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
		https://invisible-mirror.net/archives/xterm/:src1
PKGNAMESUFFIX=	-dev
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1 \
		bsd-xterm-icons-${ICONVERSION}${EXTRACT_SUFX}:src2

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System

LICENSE=	MIT

USES=		cpe ncurses tar:tgz

USE_XORG=	xft
GNU_CONFIGURE=	yes

CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto

CONFLICTS=	x11iraf-[0-9]*

CPPFLAGS+=	-I${LOCALBASE}/include
LIBS+=		-L${LOCALBASE}/lib

ICONVERSION=	1

OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE PCRE2 DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
OPTIONS_RADIO=	3D
OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW

TOOLBAR_DESC=	Enable support menu/toolbar
DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
SIXEL_DESC=	Enable Sixel graphics support
WCHAR_DESC=	Enable wide-character support
256COLOR_DESC=	Enable 256-color support
LOGGING_DESC=	Enable logging terminal I/O to a file
XAW3D_DESC=	Link with Xaw 3d library
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
NEXTAW_DESC=	Link with neXT Athena library

OPTIONS_DEFAULT=WCHAR LUIT 256COLOR

256COLOR_CONFIGURE_ENABLE=	256-color
LUIT_BUILD_DEPENDS=		luit:${PORTSDIR}/x11/luit
LUIT_CONFIGURE_ENABLE=		luit
WCHAR_CONFIGURE_ENABLE=		wide-chars
DECTERM_CONFIGURE_ENABLE=	dec-locator
PCRE_CONFIGURE_WITH=		pcre
PCRE_LIB_DEPENDS=		libpcre.so:${PORTSDIR}/devel/pcre
PCRE2_CONFIGURE_WITH=		pcre2
PCRE2_LIB_DEPENDS=		libpcre2-8.so:${PORTSDIR}/devel/pcre2
DABBREV_CONFIGURE_ENABLE=	dabbrev
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
TOOLBAR_CONFIGURE_ENABLE=	toolbar
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW3D_LIB_DEPENDS=		libXaw3d.so:${PORTSDIR}/x11-toolkits/Xaw3d
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:${PORTSDIR}/x11-toolkits/libxaw3dxft
NEXTAW_CONFIGURE_WITH=		neXtaw
NEXTAW_LIB_DEPENDS=		libneXtaw.so:${PORTSDIR}/x11-toolkits/neXtaw

PKG_CLASS=	XTermDev

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

post-extract:
	@${CP} ${WRKDIR}/bsd-xterm-icons-1/*.png \
		${WRKDIR}/bsd-xterm-icons-1/*.xpm \
			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop

.if ${PORT_OPTIONS:MWCHAR}
	@${CAT} ${PKGMESSAGE}
.endif

.include <bsd.port.mk>

=== debian/changelog ===
xterm (344.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * nodisplay *.desktop

 -- Sven Joachim <lichenggnag@uniontech.com>  Tue, 25 Aug 2020 11:26:17 +0800

=== debian/control ===
Source: xterm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
Homepage: https://invisible-island.net/xterm/xterm.html
Build-Depends:
 libncurses-dev | libncurses5-dev,
 libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
 libxaw7-dev,
 libxkbfile-dev,
 libutempter-dev,
 libxcursor-dev,
 libxinerama-dev,
 debhelper (>= 11),
 autoconf-dickey (>= 2.52+20180819),
 groff,
 lynx,
 xorg-docs-core,
 desktop-file-utils,

# Reasons for Build-Depends:
#
# (An "R" to the left of a file specification indicates a file that was removed
# from the upstream source tree when the Debian source package was prepared and
# an "I" to the left of a file specification indicates a file that is
# irrelevant or unused as part of the package build process; such files
# therefore do not actually cause a build-dependency, but are mentioned here for
# completeness.)
#
# Upstream build dependencies on commands are listed first, followed by
# upstream build depenencies on library headers, and then Debian packaging
# infrastructure dependencies.
#
#   libncurses-dev | libncurses5-dev
#       Tekproc.c:#include <menu.h>
#   I   aclocal.m4:#include <termcap.h>],[
#   I   aclocal.m4:#include <curses.h>
#   I   aclocal.m4:#include <term.h>          /* eliminate most BSD hacks */
#       button.c:#include <menu.h>
#       charproc.c:#include <menu.h>
#   I   configure:#include <termcap.h>
#   I   configure:#include <curses.h>
#   I   configure:#include <term.h>           /* eliminate most BSD hacks */
#       fontutils.c:#include <menu.h>
#       main.c:#include <menu.h>
#       menu.c:#include <menu.h>
#       misc.c:#include <menu.h>
#       os2main.c:#include <menu.h>
#       print.c:#include <menu.h>
#       resize.c:#include <termcap.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <term.h>            /* tgetent() */
#       scrollbar.c:#include <menu.h>
#       util.c:#include <menu.h>
#   libxft-dev (>> 2.1.2)
#       aclocal.m4:#include <X11/Xft/Xft.h>],[
#       configure:#include <X11/Xft/Xft.h>
#       ptyx.h:#include <X11/Xft/Xft.h>
#   libxrender-dev (>> 1:0.9.0)
#       aclocal.m4:#include <X11/extensions/Xrender.h>
#       configure:#include <X11/extensions/Xrender.h>
#   libxaw7-dev
#       main.c:#include <X11/Xaw/Form.h>
#       main.c:#include <X11/Xaw3d/Form.h>
#       main.c:#include <X11/XawPlus/Form.h>
#       menu.c:#include <X11/Xaw/SimpleMenu.h>
#       menu.c:#include <X11/Xaw/Box.h>
#       menu.c:#include <X11/Xaw/SmeBSB.h>
#       menu.c:#include <X11/Xaw/SmeLine.h>
#       menu.c:#include <X11/Xaw/MenuButton.h>
#       menu.c:#include <X11/Xaw/Form.h>
#       menu.c:#include <X11/Xaw3d/SimpleMenu.h>
#       menu.c:#include <X11/Xaw3d/Box.h>
#       menu.c:#include <X11/Xaw3d/SmeBSB.h>
#       menu.c:#include <X11/Xaw3d/SmeLine.h>
#       menu.c:#include <X11/Xaw3d/MenuButton.h>
#       menu.c:#include <X11/Xaw3d/Form.h>
#       menu.c:#include <X11/XawPlus/SimpleMenu.h>
#       menu.c:#include <X11/XawPlus/Box.h>
#       menu.c:#include <X11/XawPlus/SmeBSB.h>
#       menu.c:#include <X11/XawPlus/SmeLine.h>
#       menu.c:#include <X11/XawPlus/MenuButton.h>
#       menu.c:#include <X11/XawPlus/Form.h>
#       os2main.c:#include <X11/Xaw/Form.h>
#       os2main.c:#include <X11/Xaw3d/Form.h>
#       os2main.c:#include <X11/XawPlus/Form.h>
#       scrollbar.c:#include <X11/Xaw/Scrollbar.h>
#       scrollbar.c:#include <X11/Xaw3d/Scrollbar.h>
#       scrollbar.c:#include <X11/XawPlus/Scrollbar.h>
#       Tekproc.c:#include <X11/Xaw/Form.h>
#       Tekproc.c:#include <X11/Xaw3d/Form.h>
#       Tekproc.c:#include <X11/XawPlus/Form.h>
#   libxkbfile-dev
#       data.h:#include <X11/extensions/XKBbells.h>
#   libutempter-dev
#       main.c:#include <utempter.h>
#   libxcursor-dev
#       misc.c:#ifdev HAVE_LIB_XCURSOR
#   libxinerama-dev
#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
#   xorg-docs-core                  provides X(7) which minstall.sh tries to
#                                   detect
#   debhelper (>= 11)               debian/compat = 11
#   autoconf-dickey                 regenerate configure
#   groff                           regenerate ctlseqs.txt
#   lynx                            generates plain-text version of xterm faq
#   desktop-file-utils              for installing xterm.desktop

Package: xterm
Architecture: any
Multi-Arch: foreign
Depends:
 xbitmaps,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: x11-utils
Suggests: xfonts-cyrillic
Provides: x-terminal-emulator
Description: X terminal emulator
 xterm is a terminal emulator for the X Window System.  It provides DEC VT102
 and Tektronix 4014 compatible terminals for programs that cannot use the
 window system directly.  This version implements ISO/ANSI colors and most of
 the control sequences used by DEC VT220 terminals.
 .
 This package provides four commands: xterm, which is the traditional
 terminal emulator; uxterm, which is a wrapper around xterm that is
 intelligent about locale settings (especially those which use the UTF-8
 character encoding), but which requires the luit program from the x11-utils
 package; koi8rxterm, a wrapper similar to uxterm for locales that use the
 KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
 previous commands to execute based on the user's locale settings.
 .
 A complete list of control sequences supported by the X terminal emulator
 is provided in /usr/share/doc/xterm.
 .
 The xterm program uses bitmap images provided by the xbitmaps package.
 .
 Those interested in using koi8rxterm will likely want to install the
 xfonts-cyrillic package as well.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xterm source package

# Copyright 2005 David Martínez Moreno
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

HTML2TEXT:=lynx -dump -nolist -display_charset=utf-8

DEBTREEDIR:=$(CURDIR)/debian/tmp

DESKTOP_FLAGS = --vendor debian \
		--dir=$(DEBTREEDIR)/usr/share/applications

# disable some unsafe operations
CPPFLAGS += \
	-DDEF_ALLOW_FONT=False \
	-DDEF_ALLOW_TCAP=False \
	-DDEF_DISALLOWED_WINDOW=\\\"1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop\\\"

override_dh_auto_clean:
	if [ -f ctlseqs.txt.old ]; then mv -f ctlseqs.txt.old ctlseqs.txt; fi
	dh_auto_clean

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

override_dh_auto_configure:
	dh_auto_configure -- \
		--exec-prefix=/usr \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-icondir=/usr/share/icons \
		--with-icon-theme=yes \
		--with-tty-group=tty \
		--enable-logging \
		--enable-wide-chars \
		--enable-luit \
		--enable-256-color \
		--disable-imake \
		--enable-narrowproto \
		--enable-exec-xterm \
		--enable-dabbrev \
		--enable-backarrow-is-erase \
		--enable-sixel-graphics \
		--with-utempter \
		--with-desktop-category=System,TerminalEmulator, \
		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LUIT=/usr/bin/luit

override_dh_auto_build:
	if [ ! -f ctlseqs.txt.old ] && [ -f ctlseqs.txt ]; \
	   then mv -f ctlseqs.txt ctlseqs.txt.old; \
	   else rm -f ctlseqs.txt; \
	fi
	dh_auto_build -- all ../ctlseqs.txt
	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- install-desktop
	## Install lxterm command and manual page.
	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1
	## Install terminfo and termcap precompiled definitions.
	install -d $(DEBTREEDIR)/usr/share/doc/xterm
	install -m 644 termcap  $(DEBTREEDIR)/usr/share/doc/xterm/xterm.termcap
	install -m 644 terminfo $(DEBTREEDIR)/usr/share/doc/xterm/xterm.terminfo

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@ --builddirectory=build/

debian/local/xterm.faq.html:
	wget -O $@ https://invisible-island.net/xterm/xterm.faq.html

.PHONY: debian/local/xterm.faq.html

=== debian/tests/control ===
Test-Command: adequate xterm >&2
Restrictions: superficial
Depends: xterm, adequate

Test-Command: xvfb-run xterm -version
Restrictions: superficial
Depends: xterm, xvfb, xauth

## xterm 344.2

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $

DISTNAME=	xterm-343
PKGREVISION=	1
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/xterm/xterm.html
COMMENT=	Latest terminal emulator for the X Window System
LICENSE=	x11

GNU_CONFIGURE=		yes
USE_TOOLS+=		tbl pkg-config

WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}

CONFIGURE_ARGS+=	--enable-88-color
CONFIGURE_ARGS+=	--enable-256-color
CONFIGURE_ARGS+=	--enable-paste64
CONFIGURE_ARGS+=	--enable-readline-mouse

CONFIGURE_ARGS.standard=# empty
CONFIGURE_ARGS.3d=	--with-Xaw3d
CONFIGURE_ARGS.xpm=	--with-Xaw3d
CONFIGURE_ARGS.neXtaw=	--with-neXtaw
CONFIGURE_ARGS+=	${${CONFIGURE_ARGS.${XAW_TYPE}}:L}

INSTALLATION_DIRS=	share/applications

.include "../../mk/bsd.prefs.mk"

.if ${X11_TYPE} == "modular"
CONFIGURE_ARGS+=	--disable-imake
CONFIGURE_ARGS+=	--enable-narrowproto
.endif

.if exists(/usr/include/wchar.h)
CONFIGURE_ARGS+=	--enable-wide-chars
.endif

.include "../../x11/libX11/buildlink3.mk"
.include "../../x11/libXt/buildlink3.mk"
###
### For detection of XKB bell extension.
###
BUILDLINK_DEPMETHOD.libxkbfile?=	build
.include "../../x11/libxkbfile/buildlink3.mk"

post-install:
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${DESTDIR}${PREFIX}/share/applications && \
	${INSTALL_DATA} ${WRKSRC}/uxterm.desktop \
		${DESTDIR}${PREFIX}/share/applications
	cd ${DESTDIR}${PREFIX}/${PKGMANDIR}/man1 && tbl xterm.1 \
		> xterm.1.tbl && mv xterm.1.tbl xterm.1

.include "options.mk"

.include "../../mk/curses.buildlink3.mk"
.include "../../mk/termcap.buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../mk/xaw.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
xterm (344.2-1+security) unstable; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Fri, 16 Apr 2021 14:49:12 +0800

## xterm 348

=== debian/changelog ===
xterm (348-2ubuntu1) eoan; urgency=medium

  * Sync with Debian, remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "Ubuntu"

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Sep 2019 15:11:35 +0300

xterm (348-2) unstable; urgency=medium

  * Update patch 900_debian_xterm.diff:
    - Disable "rep" in xterm-new and derived terminfo descriptions
      (see #933053).
    - Stop disabling rmm and smm.  Apparently this is no longer needed,
      and since xterm 331 the wrong terminfo entry had been patched anyway.
  * Convert the patch header of 900_debian_xterm.diff to DEP-3, and add
    headers to the patches 902_windowops.diff and 904_fontops.diff.
  * Cherry-pick a patch from upstream snapshot 348a: fix loop-limit for
    lookup of fullscreen resource broken in xterm 347 (report by
    Scott Bertilson, Closes: #934717).
  * Remove debian/NEWS, last updated nine years ago in xterm 259-1.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 15 Aug 2019 18:43:01 +0200

xterm (348-1) unstable; urgency=medium

  * New upstream release.
    - Update window-manager hints when exiting Tek4014 mode
      (Closes: #932569, patch by Jonathan Irwin).
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 25 Jul 2019 06:43:28 +0200

xterm (347-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.383 (dated 2019/05/12).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jul 2019 17:42:53 +0200

xterm (346-1) experimental; urgency=low

  * New upstream release.
    - Update description of the "default" setting for the renderFont
      resource to match the behavior in xterm 261 (Closes: #862042).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 30 May 2019 18:29:50 +0200

xterm (345-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper compatibility level to 12.
    - Build-depend on debhelper-compat (= 12) and drop debian/compat.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 May 2019 19:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -16,7 +16,7 @@
  libutempter-dev,
  libxcursor-dev,
  libxinerama-dev,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  autoconf-dickey (>= 2.52+20180819),
  groff,
  lynx,
@@ -106,7 +106,7 @@
 #       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper (>= 11)               debian/compat = 11
+#   debhelper-compat (= 12)         debhelper compat level 12
 #   autoconf-dickey                 regenerate configure
 #   groff                           regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq

## xterm 353

=== package/freebsd/Makefile ===
# $XTermId: Makefile,v 1.73 2020/01/18 15:53:11 tom Exp $
# $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $

# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
PORTVERSION=	353
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
		https://invisible-mirror.net/archives/xterm/:src1
PKGNAMESUFFIX=	-dev
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System

LICENSE=	MIT
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		cpe ncurses tar:tgz
USE_XORG=	xft xmu xt x11 xpm ice

GNU_CONFIGURE=	yes

CPE_VENDOR=	invisible-island

CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto

CONFLICTS=	x11iraf-[0-9]*

CPPFLAGS+=	-I${LOCALBASE}/include
LIBS+=		-L${LOCALBASE}/lib

ICONVERSION=	1

OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE DABBREV 256COLOR SIXEL GNOME LOGGING \
		SCRNDUMP REGIS TOOLBAR XINERAMA
OPTIONS_RADIO=	3D
OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW

DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LUIT_DESC=	Use LUIT for locale conversion from/to UTF-8
SIXEL_DESC=	Enable Sixel graphics support
REGIS_DESC=	Enable ReGIS graphics support
WCHAR_DESC=	Enable wide-character support
256COLOR_DESC=	Enable 256-color support
LOGGING_DESC=	Enable logging terminal I/O to a file
XAW3D_DESC=	Link with Xaw 3d library
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
NEXTAW_DESC=	Link with neXT Athena library
SCRNDUMP_DESC=	Enable XHTML and SVG screen dumps
TOOLBAR_DESC=	Enable pulldown menus with a toolbar

OPTIONS_DEFAULT=WCHAR LUIT 256COLOR

256COLOR_CONFIGURE_ENABLE=	256-color
LUIT_BUILD_DEPENDS=		luit:x11/luit
LUIT_CONFIGURE_ENABLE=		luit
LUIT_IMPLIES=			WCHAR
WCHAR_CONFIGURE_ENABLE=		wide-chars
WCHAR_VARS=			PKGMESSAGE="${PKGDIR}/pkg-message.wchar"
DECTERM_CONFIGURE_ENABLE=	dec-locator
PCRE_CONFIGURE_WITH=		pcre
PCRE_LIB_DEPENDS=		libpcre.so:devel/pcre
DABBREV_CONFIGURE_ENABLE=	dabbrev
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
REGIS_CONFIGURE_ENABLE=		regis-graphics
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
SCRNDUMP_CONFIGURE_ENABLE=	screen-dumps
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW3D_LIB_DEPENDS=		libXaw3d.so:x11-toolkits/Xaw3d
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:x11-toolkits/libxaw3dxft
NEXTAW_CONFIGURE_WITH=		neXtaw
NEXTAW_LIB_DEPENDS=		libneXtaw.so:x11-toolkits/neXtaw
TOOLBAR_CONFIGURE_ENABLE=	toolbar
WCHAR_LIB_DEPENDS=		libfreetype.so:print/freetype2
XINERAMA_USE=			XORG=xinerama,xorgproto
XINERAMA_CONFIGURE_OFF=		--without-xinerama

PKG_CLASS=	XTermDev
LIB_DEPENDS+=	libfontconfig.so:x11-fonts/fontconfig

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

#post-extract:
#	@${CP} ${WRKDIR}/bsd-xterm-icons-1/*.png \
#		${WRKDIR}/bsd-xterm-icons-1/*.xpm \
#			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop

.include <bsd.port.mk>

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-343
+DISTNAME=	xterm-353
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (353-1ubuntu1) focal; urgency=medium

  * Sync with Debian, remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Feb 2020 11:49:57 +0200

xterm (353-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 03 Feb 2020 18:07:50 +0100

xterm (352-1) unstable; urgency=medium

  * New upstream release.
    - Adjust fontsize data to handle a minor inconsistency from recent Xft
      versions (Closes: #880407, adapted from patch by Vincent Lefevre).
    - Add a table to the manual page description of forceBoxChars to alert
      the reader to the special characters aside from "line-drawing" which
      are drawn directly when this resource is set (Closes: #931305).
  * Bump autoconf-dickey build dependency to (>= 2.52+20200111), as per
    configure.in.
  * Disable the adequate autopkgtest.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Jan 2020 18:31:37 +0100

xterm (351-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 Nov 2019 18:01:23 +0100

xterm (350-1) unstable; urgency=medium

  * New upstream release.
    - Update manual page default for saveLines resource default value
      (Branden Robinson, Closes: #913815).
  * Drop cherry-picked patches.
  * Refresh remaining patches.
  * Update copy of XTerm FAQ to revision 1.389 (dated 2019/11/02).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 04 Nov 2019 18:13:35 +0100

xterm (349-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 348-2, applied upstream.
  * Cherry-pick fixes from upstream snapshots 349b and 349d.
  * Configure with --enable-warnings and stop adding -Wall to CFLAGS.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Update copy of XTerm FAQ to revision 1.385 (dated 2019/09/13).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 30 Sep 2019 18:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -17,7 +17,7 @@
  libxcursor-dev,
  libxinerama-dev,
  debhelper-compat (= 12),
- autoconf-dickey (>= 2.52+20180819),
+ autoconf-dickey (>= 2.52+20200111),
  groff,
  lynx,
  xorg-docs-core,

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -Wall
-
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
@@ -41,6 +39,7 @@
 		--with-icondir=/usr/share/icons \
 		--with-icon-theme=yes \
 		--with-tty-group=tty \
+		--enable-warnings \
 		--enable-logging \
 		--enable-wide-chars \
 		--enable-luit \

## xterm 361

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.73 2020/01/18 15:53:11 tom Exp $
+# $XTermId: Makefile,v 1.82 2020/09/26 12:39:10 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	353
+PORTVERSION=	361
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-353
+DISTNAME=	xterm-361
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (361-1ubuntu2) hirsute; urgency=medium

  * SECURITY UPDATE: crash when handling crafted unicode content
    - debian/patches/CVE-2021-27135.patch: correct upper-limit for
      selection buffer, accounting for combining characters in button.c.
    - CVE-2021-27135

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Feb 2021 09:11:30 -0500

xterm (361-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Nov 2020 17:59:49 +0100

xterm (361-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Use dh_installalternatives to set up the x-terminal-emulator
    alternatives and remove the maintainer scripts from the source.
    - Build-depend on debhelper (>= 13.1~).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Oct 2020 09:33:19 +0200

xterm (360-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 359-1, applied upstream.
  * Bump autoconf-dickey build dependency to (>= 2.52+20200802), as per
    configure.in.
  * Drop alternate build-dependency on libncurses5-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 23 Sep 2020 18:12:41 +0200

xterm (359-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Cherry-pick a build fix from upstream snapshot 359a: amend xterm 359
    change to df-install.in to ignore a command-line assignment to
    DESTDIR if followed by an explicit --dir (report by Sven Joachim).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 21 Aug 2020 18:00:34 +0200

xterm (358-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 13.
    - Drop the dh_missing override, redundant in that compat level.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Jul 2020 18:40:08 +0200

xterm (357-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 08 Jul 2020 18:55:31 +0200

xterm (356-2) unstable; urgency=medium

  * Build-depend on bsdextrautils | bsdmainutils (<< 12.1.1~) for the
    'col' program (see #963377).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Jun 2020 19:02:35 +0200

xterm (356-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 03 May 2020 18:00:52 +0200

xterm (355-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 354-1, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 May 2020 08:35:31 +0200

xterm (354-1) unstable; urgency=medium

  * New upstream release.
    - Work around performance problems of XDrawImageString and
      XDrawImageString16 functions (Closes: #954845).
    - Temporarily set numeric locale category to "C" when parsing
      resources, so that scaleHeight and faceSize settings do not
      depend on locale (Closes: #820803).
    - Two fixes for left/right wheel mouse event reporting
      (Closes: #954730).
      + Filter identical button-events.
      + Correct order of button-range versus protocol type
        (see xterm 345).
    - Modify uxterm to make it possible to select locale C.UTF-8,
      e.g, if the user's locale is set to "C" (Closes: #940626).
  * Cherry-pick a fix from upstream snapshot 354a: build-fix for "make
    check" when building out-of-tree.
  * Update copy of XTerm FAQ to revision 1.392 (dated 2020/03/21).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 Apr 2020 18:03:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -9,16 +10,18 @@
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
 Homepage: https://invisible-island.net/xterm/xterm.html
 Build-Depends:
- libncurses-dev | libncurses5-dev,
+ libncurses-dev,
  libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
  libxaw7-dev,
  libxkbfile-dev,
  libutempter-dev,
  libxcursor-dev,
  libxinerama-dev,
- debhelper-compat (= 12),
- autoconf-dickey (>= 2.52+20200111),
+ debhelper-compat (= 13),
+ debhelper (>= 13.1~),
+ autoconf-dickey (>= 2.52+20200802),
  groff,
+ bsdextrautils | bsdmainutils (<< 12.1.1~),
  lynx,
  xorg-docs-core,
  desktop-file-utils,
@@ -36,7 +39,7 @@
 # upstream build depenencies on library headers, and then Debian packaging
 # infrastructure dependencies.
 #
-#   libncurses-dev | libncurses5-dev
+#   libncurses-dev
 #       Tekproc.c:#include <menu.h>
 #   I   aclocal.m4:#include <termcap.h>],[
 #   I   aclocal.m4:#include <curses.h>
@@ -106,9 +109,10 @@
 #       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper-compat (= 12)         debhelper compat level 12
+#   debhelper-compat (= 13)         debhelper compat level 13
+#   debhelper (>= 13.1~)            dh_installalternatives
 #   autoconf-dickey                 regenerate configure
-#   groff                           regenerate ctlseqs.txt
+#   groff, bsdextrautils            regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop

## xterm 362

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.82 2020/09/26 12:39:10 tom Exp $
+# $XTermId: Makefile,v 1.83 2020/10/18 10:27:36 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	361
+PORTVERSION=	362
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-361
+DISTNAME=	xterm-362
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (362-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.396 (dated 2020/08/11).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 15 Nov 2020 16:34:36 +0100

## xterm 363

=== debian/changelog ===
xterm (363-1) unstable; urgency=medium

  * New upstream release.
    - Amend change from xterm 361 to event-handling in CopyWait to
      handle active-icon as a special case (Closes: #975687).
  * Refresh Debian patches.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Dec 2020 18:03:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git

## xterm 365

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.83 2020/10/18 10:27:36 tom Exp $
+# $XTermId: Makefile,v 1.86 2021/02/03 20:56:34 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	362
+PORTVERSION=	365
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-362
+DISTNAME=	xterm-365
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (365-1) unstable; urgency=medium

  * New upstream release.
  * Bump autoconf-dickey build dependency to (>= 2.52+20210105), as per
    configure.in.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Feb 2021 19:32:25 +0100

## xterm 366

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-365
+DISTNAME=	xterm-366
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (366-1+deb11u1) bullseye; urgency=medium

  * Cherry-pick sixel graphics fixes from xterm 370d and 370f.
    - Check for out-of-bounds condition while drawing sixels, and quit
      that operation (report by Nick Black (CVE-2022-24130),
      Closes: #1004689).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 07 Feb 2022 20:14:01 +0100

xterm (366-1) unstable; urgency=medium

  * New upstream release
    - correct upper-limit for selection buffer, accounting for combining
      characters (report/testcase by Tavis Ormandy).  Closes: #982439

 -- Julien Cristau <jcristau@debian.org>  Thu, 11 Feb 2021 10:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libxinerama-dev,
  debhelper-compat (= 13),
  debhelper (>= 13.1~),
- autoconf-dickey (>= 2.52+20200802),
+ autoconf-dickey (>= 2.52+20210105),
  groff,
  bsdextrautils | bsdmainutils (<< 12.1.1~),
  lynx,

=== debian/rules ===
--- 
+++ 
@@ -76,9 +76,6 @@
 	install -m 644 termcap  $(DEBTREEDIR)/usr/share/doc/xterm/xterm.termcap
 	install -m 644 terminfo $(DEBTREEDIR)/usr/share/doc/xterm/xterm.terminfo
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 %:
 	dh $@ --builddirectory=build/

## xterm 369

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-366
+DISTNAME=	xterm-369
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (369-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:20:04 +0100

xterm (369-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 23 Sep 2021 19:06:49 +0200

xterm (368-2) unstable; urgency=medium

  * Add new upstream signing key 19882D92DDA4C400C22C0D56CC2AF4472167BE03
    to debian/upstream/signing-key.asc.
  * Update copy of XTerm FAQ to revision 1.398 (dated 2021/03/18).
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Aug 2021 20:12:56 +0200

xterm (368-1) experimental; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 12 Jun 2021 19:47:37 +0200

xterm (367-1) experimental; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 28 Mar 2021 17:58:08 +0200

xterm (366-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"
  * Dropped changes:
    - debian/patches/CVE-2021-27135.patch: correct upper-limit for
      selection buffer, accounting for combining characters in button.c.
      [Included in 366-1]
    - debian/patches/CVE-2021-27135-2.patch: check realloc return code,
      add some casts in button.c.
      [Included in 366-1]

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 25 May 2021 11:04:02 +0530

xterm (361-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash when handling crafted unicode content
    - debian/patches/CVE-2021-27135-2.patch: check realloc return code,
      add some casts in button.c.
    - CVE-2021-27135

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Feb 2021 12:59:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git

## xterm 370

=== debian/changelog ===
xterm (370-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Feb 2022 10:21:32 +0100

xterm (370-2) unstable; urgency=medium

  * Cherry-pick sixel graphics fixes from xterm 370d and 370f.
    - Check for out-of-bounds condition while drawing sixels, and quit
      that operation (report by Nick Black (CVE-2022-24130),
      Closes: #1004689).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 01 Feb 2022 20:56:55 +0100

xterm (370-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Nov 2021 09:35:55 +0100

xterm (370-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.402 (dated 2021/09/05).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 17 Nov 2021 19:10:10 +0100

## xterm 372

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.86 2021/02/03 20:56:34 tom Exp $
+# $XTermId: Makefile,v 1.93 2022/03/04 21:39:26 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	365
+PORTVERSION=	372
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-369
+DISTNAME=	xterm-372
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (372-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Mar 2022 23:13:33 +0100

xterm (372-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 11 Mar 2022 18:10:00 +0100

xterm (371-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2022 13:34:28 +0100

xterm (371-1) unstable; urgency=medium

  * New upstream release.
    - Fix errata in manual page (Closes: #988221).
  * Drop patch from 370-2, applied upstream.
  * Prefer luit over x11-utils in Recommends (Closes: #904572).
  * Update copy of XTerm FAQ to revision 1.407 (dated 2021/12/20).
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 03 Mar 2022 18:27:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -123,7 +122,7 @@
  xbitmaps,
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: x11-utils
+Recommends: luit | x11-utils (<< 7.7+6~)
 Suggests: xfonts-cyrillic
 Provides: x-terminal-emulator
 Description: X terminal emulator
@@ -135,7 +134,7 @@
  This package provides four commands: xterm, which is the traditional
  terminal emulator; uxterm, which is a wrapper around xterm that is
  intelligent about locale settings (especially those which use the UTF-8
- character encoding), but which requires the luit program from the x11-utils
+ character encoding), but which requires the luit program from the luit
  package; koi8rxterm, a wrapper similar to uxterm for locales that use the
  KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
  previous commands to execute based on the user's locale settings.

## xterm 373

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.93 2022/03/04 21:39:26 tom Exp $
+# $XTermId: Makefile,v 1.94 2022/03/11 19:51:56 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	372
+PORTVERSION=	373
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-372
+DISTNAME=	xterm-373
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (373-2) unstable; urgency=medium

  * Cherry-pick a build fix from upstream snapshot 373a: modify
    CF_XOPEN_SOURCE to handle more special cases of Linux
    (report by Sven Joachim).
  * Cherry-pick another fix from upstream snapshot 373c: Fix
    regression in xterm-373 change adding resources xftTrackMemUsage to
    xftMaxGlyphMemory, which did not first cache the server's
    resource-settings (report/testcase by Gabor Hauzer, Closes: #1021243).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 08 Oct 2022 18:59:09 +0200

xterm (373-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.418 (dated 2022/05/22).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 02 Oct 2022 17:59:19 +0200
